<template>
	<b-modal :title="translations.termsOfUse" id="register-agreements" ref="registerAgreements" centered :ok-title="translations.done" size="lg" ok-only @show="getTermsOfUse()" @hidden="checkForRedirectingModals()">
		<div v-html="termsOfUse"></div>
    </b-modal>
</template>

<script>
module.exports = {
	name: 'TermsOfUseModal',
  	data () {   
      return {
      	termsOfUse: '',
      	translations: registerAgreementsTranslations
      }
  	},
  	methods: {
      checkForRedirectingModals(){
        if(termsOfUseModalRedirect && termsOfUseModalRedirect === 'productReview'){
          productVue.$refs.reviewModal.show()
          termsOfUseModalRedirect = false
        }
      },
  		getTermsOfUse(){
  			this.$http.get('frontend/legal/termsofuse/', {}).then(response => {
                this.termsOfUse = response.body
            })
  		}
  	}
}
</script>